Bug 248113 - (CVE-2007-3719) CVE-2007-3719 kernel: secretly Monopolizing the CPU Without Superuser Privileges
CVE-2007-3719 kernel: secretly Monopolizing the CPU Without Superuser Privileges
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=mitre,reported...
: Security
Depends On: 297671 297681 297691 297701 297711 297721 297731
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-13 07:24 EDT by Marcel Holtmann
Modified: 2014-11-07 05:05 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-22 20:26:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2007-07-13 07:24:33 EDT
The process scheduler in the Linux kernel 2.6.16 gives preference to
"interactive" processes that perform voluntary sleeps, which allows local users
to cause a denial of service (CPU consumption), as described in "Secretly
Monopolizing the CPU Without Superuser Privileges."

http://www.cs.huji.ac.il/~dants/papers/Cheat07Security.pdf
Comment 13 Eugene Teo (Security Response) 2010-12-22 20:26:50 EST
Statement CVE-2007-3719:

The Red Hat Security Response Team has rated this issue as having moderate security impact.

The risks associated with fixing this bug are greater than the moderate severity security risk. We therefore currently have no plans to fix this flaw in Red Hat Enterprise Linux 3, 4, 5, and Red Hat Enterprise MRG.

Note You need to log in before you can comment on or make changes to this bug.